#include "Globals.h"

bool debugToFile = false;
bool debug = false;
FILE *pFile = stderr;

void setDebug( bool set, const QString fileName )
{
	if ( fileName.isEmpty() )
	{
		pFile = stderr;
		debugToFile = false;
	}
	else
	{
		pFile = fopen( fileName.toLatin1().constData(), "w" );
		
		if ( pFile == NULL )
		{
			pFile = stderr;
			debugToFile = false;
		}
		else
		{
			debugToFile = true;
		}
	}
	debug = set;
}
