CONFIG += qdbus
TEMPLATE = lib
TARGET = ubudsl
DEPENDPATH += .
INCLUDEPATH += .
DESTDIR += .build
OBJECTS_DIR += .build
MOC_DIR += .build
QT += xml
QMAKE_LFLAGS += --as-needed

# Input
LIBS += -lpthread
HEADERS += Globals.h \
    Volume.h \
    DNS_Manager.h \
    Zypper.h \
    SystemInfo.h \
    ServiceParser.h \
    ScriptManager.h \
    Rpm.h \
    PackageManager.h \
    MyProcess.h \
    ModemManager.h \
    MediaManager.h \
    FileLocker.h \
    FileManager.h \
    Apt.h \
    Compiler.h \
    Firmware.h
SOURCES += Globals.cpp \
    Volume.cpp \
    DNS_Manager.cpp \
    Zypper.cpp \
    SystemInfo.cpp \
    ServiceParser.cpp \
    ScriptManager.cpp \
    Rpm.cpp \
    PackageManager.cpp \
    MyProcess.cpp \
    ModemManager.cpp \
    FileLocker.cpp \
    Apt.cpp \
    FileManager.cpp \
    Compiler.cpp \
    MediaManager.cpp \
    Firmware.cpp
target.path = /usr/lib

CONFIG(lib64) {
    target.path = /usr/lib64
}

headers.files = $$HEADERS \
    libubudsl.h
headers.path = /usr/include/libubudsl
INSTALLS += target \
    headers
