TEMPLATE = app
TARGET = Applet.bin
CONFIG += qdbus
QT += core \
    gui
HEADERS += HelpDialog.h \
    CustomStyle.h \
    Settings.h \
    LogViewer.h \
    GenerateLog.h \
    Applet.h \
    Monitor.h
SOURCES += HelpDialog.cpp \
    CustomStyle.cpp \
    Settings.cpp \
    LogViewer.cpp \
    GenerateLog.cpp \
    Applet.cpp \
    main.cpp \
    Monitor.cpp
FORMS += HelpDialog.ui \
    About.ui \
    Settings.ui \
    LogViewer.ui \
    Monitor.ui
INCLUDEPATH += ../ .

CONFIG(phonon) {
    QT += phonon
}

applet.files = Applet
applet.path = /opt/ubudsl/bin

RESOURCES += Resources.qrc
TRANSLATIONS += translations/UbuDSL_Applet.ts \
    translations/UbuDSL_Applet_el.ts \
    translations/UbuDSL_Applet_es.ts \
    translations/UbuDSL_Applet_fr.ts \
    translations/UbuDSL_Applet_pl.ts \
    translations/UbuDSL_Applet_ro.ts \
    translations/UbuDSL_Applet_ru.ts
QMAKE_POST_LINK += "lrelease $$TRANSLATIONS"
QMAKE_LFLAGS += --as-needed
translations.files = $$replace(TRANSLATIONS, ".ts", ".qm")
translations.path = /opt/ubudsl/translations
message($$translations.files)
target.path = /opt/ubudsl/bin
shortcut.files = ubudsl_applet.desktop
shortcut.path = /usr/share/applications
images.files = images/*.gif
images.path = /opt/ubudsl/images
INSTALLS += target \
    applet \
    translations \
    shortcut
