/*
 * File: MainWidget.h
 * Created: Mon 31 Mar 2008
 * Last modified: Tue 23 Apr 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v3 or newer
 */

#ifndef MAINWIDGET_H_
#define MAINWIDGET_H_

#include <QPainter>
#include <QWidget>
#include <QPixmap>
#include <QEventLoop>
#include <QTimer>

class MainWidget: public QWidget
{
    Q_OBJECT
public:
    MainWidget ( QWidget *parent = 0 );
    virtual ~MainWidget() {}

    void paintLogo ( bool show, qreal maxOp = 1.0 );
private:
    void paintEvent ( QPaintEvent *event );

    qreal   op;
    bool    logo;
    QPixmap logoPx;
signals:
    void drawingFinished();
};

#endif /*MAINWIDGET_H_*/
