/*
 * File: UbuDSL_Style.h
 * Created: Mon 31 Mar 2008
 * Last modified: Tue 23 Apr 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v3 or newer
 */

#ifndef UBUDSL_STYLE_H_
#define UBUDSL_STYLE_H_

#include <QCommonStyle>
#include <QPainter>
#include <QStyleOptionComplex>
#include <QDebug>

class UbuDSL_Style: public QCommonStyle
{
public:
    UbuDSL_Style() {}
    virtual ~UbuDSL_Style() {}

    virtual void drawComplexControl ( ComplexControl control, const QStyleOptionComplex *option,
                                      QPainter *painter, const QWidget *widget ) const;
    virtual void drawControl ( ControlElement control, const QStyleOption *option,
                               QPainter *painter, const QWidget *widget ) const;
};

#endif /*UBUDSL_STYLE_H_*/
