TEMPLATE = app
TARGET = ubudsldaemon
QT += core \
    xml \
    network
HEADERS += Global.h \
    CompilerThread.h \
    RestartModem.h \
    UbuDSL_Message.h \
    UbuDSL_Daemon.h \
    DaemonAdaptor.h \
    ConnectThread.h
SOURCES += CompilerThread.cpp \
    RestartModem.cpp \
    UbuDSL_Daemon.cpp \
    DaemonAdaptor.cpp \
    ConnectThread.cpp \
    main.cpp
FORMS += 
RESOURCES += 
CONFIG += qdbus
INCLUDEPATH += ../ .
LIBS += -L../libubudsl/.build -lubudsl
QMAKE_LFLAGS += --as-needed
dbus_conf.files = ubudsl.conf
dbus_conf.path = /etc/dbus-1/system.d
init_script.files = ubudsld
init_script.path = /etc/init.d

libs.files = lib64/libatm.so.1
libs.path = /opt/ubudsl/lib

br2684.files = bin64/br2684ctl
br2684.path = /opt/ubudsl/bin

CONFIG(i386) {
    libs.files = lib/libatm.so.1
    br2684.files = bin/br2684ctl
}

target.path = /usr/sbin
INSTALLS += target \
    libs \
    br2684 \
    dbus_conf \
    init_script
